package src.client;

import java.io.Serializable;
import java.util.*;

 /*
  * The medical record contains an ArrayList of test (objects), 
  * the test date, related coments and the cost of the tests during 
  * the visit to the clinic. 
  */
public class MedRecord implements Serializable {

	private Date date;
	// Date when the (medical) test was done
	private ArrayList tests;
	// Test objects
	private String comment;
	private Double totalCost;
	
	public Iterator it;
	
	// Constructor
	public MedRecord(Date d, ArrayList t, String c, Double tc) {
		date = d;
		tests = t;
		comment = c;
		totalCost = tc;
	}
	
	/**
	 * Return a string representation of a Medical record object
	 */
	public String toString() {
		String allTests = "";
		// First, get a string representation of all Test objects 
		for (int index = 0; index <= tests.size(); index++) {
			Test t = (Test) tests.get(index);
			allTests = allTests + t.toString() + "\n";
		}
		
		// Join the other records with the tests string
		String record = date.toString() + " " + allTests + 
						" " + comment + " " + totalCost.toString() + "\n";
		return record;
	}
	
}
