package src.common;

import java.rmi.Remote;
import javax.security.auth.login.LoginException;

/**
 * The interface of the login object to which (remote) users connect 
 * to authenticate.
 */

public interface LoginInterface extends Remote {

	/**
	 * Remote method that forwards the credentials from the 
	 * client software to the server for user authentication.
	 */
	public ServerInterface forwardCrds(String username, String password) 
							throws java.rmi.RemoteException, LoginException;
	
}
