package src.common;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.*;

/**
 * Server interface.  Containes the privileged
 * methods that require permissions to be executed.
 * 
 * @throws SecurityException when the client 
 * 		   doesn't have proper permissions to invoke the method.
 */

public interface ServerInterface extends Remote {
	
	public boolean insert(String cpr, String fName, 
				String lName, String adress, Date DOB) 
					throws RemoteException, SecurityException;
	
	public String findP(String cpr) 
					throws RemoteException, SecurityException;

	public boolean editP(String cpr, String fName, 
				String lName, String adress) 
					throws RemoteException, SecurityException;
	
	public boolean addMedicalRecords(String cpr, Date date, 
				ArrayList test, String comment, Double totalCost) 
							throws RemoteException, SecurityException;
	
	public ArrayList listRecords(String cpr) 
				throws RemoteException, SecurityException;
		
}
