package src.permissionvalidation;
import src.permissions.ServerPermission;

import java.security.AccessController;
import java.security.PrivilegedAction;

/*
 *  Test if the user has the neccessary permissions to call 
 *  the method in the login context of his authentication.
 *	For verifying the availability of the permission, 
 *	a ServerPermission object is required.
 */
public class MethodcallValidate implements PrivilegedAction {

	// Name of the method to be checked
	private String priveledgedMethodName;
	
	public MethodcallValidate (String method) {
		priveledgedMethodName = method;
	}
	
	public Object run() {
		// Check if the appropriate ServerPermission is owned by
	    // the user. If not an exception is thrown.
 
		AccessController.checkPermission(new 
						ServerPermission(priveledgedMethodName));
		return null;
	}

}
