package src.server;

import java.io.Serializable;
import java.security.Principal;

 /*
  * The implementation of the java.security.Principal interface that adds 
  * an identity to the user.
  * To this user identity permission objects are added based on
  * the privileges that the administration has assigned to the user 
  * through the policy file.
  * 
  */
public class MyPrincipal implements Principal, Serializable {
	
	private String name;
	// Name of the principal
	
	// Constructor
	public MyPrincipal(String n) {
		name = n;
	}
	
	public String getName() {
		return name;
	}
	
	
	public String toString() {
		return( "MyPrincipal:  " + name );
	}
	
	public boolean equals( Object o ) {
		if( o == null )
		    return false;
		if( this == o )
		    return true;
		 
		if( !(o instanceof MyPrincipal) )
		    return false;
		MyPrincipal that = (MyPrincipal) o;
		
		if( this.getName().equals(that.getName()) )
		    return true;
		return false;
	 }
	
	
	public int hashCode() {
		return name.hashCode();
	}
}
