package src.server;

  /** 
   * The main class for the server.
   */
import java.rmi.registry.*;
import java.util.Date;
import src.common.*;

public class Server {


	public static void main(String[] args) {
		/* Ensures that the identifiers generated for the server objects
	     * will be secure
	     */
		System.setProperty("java.rmi.server.randomID", "true");
		
		try {
			ServerInterface theServer = new ServerImpl();
			LoginInterface loginObject = new LoginImpl(theServer);
			
			Registry loginRegistry = LocateRegistry.createRegistry(6000);
			//Creates and exports a Registry on the local host 
			// that accepts requests on the specified port.
			loginRegistry.bind("RemoteLoginServer", loginObject);
			// Binds a remote reference of the specified object name 
			// in the registry.
		
			System.out.println(new Date() + ": Server up and running");
			// Print a message to know that the server is operational
			
		} catch (Exception e) {
		      e.printStackTrace();
	    }
		
		
	}

}
